/*
 * AntiAliasOptionPane.java
 * Copyright (C) 2001 Dirk Moebius
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */


import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import javax.swing.JCheckBox;
import org.gjt.sp.jedit.jEdit;
import org.gjt.sp.jedit.AbstractOptionPane;


public class AntiAliasOptionPane extends AbstractOptionPane implements ActionListener
{

	public AntiAliasOptionPane() {
		super("AntiAliasPlugin");
	}


	protected void _init() {
		enableCheckBox = new JCheckBox(jEdit.getProperty("options.AntiAliasPlugin.enabled"));
		enableCheckBox.setSelected(jEdit.getBooleanProperty("AntiAliasPlugin.enabled"));
		enableCheckBox.addActionListener(this);
		addComponent(enableCheckBox);

		fractionalMetricsCheckBox = new JCheckBox(jEdit.getProperty("options.AntiAliasPlugin.fractionalMetrics"));
		fractionalMetricsCheckBox.setSelected(jEdit.getBooleanProperty("AntiAliasPlugin.fractionalMetrics"));
		fractionalMetricsCheckBox.setEnabled(enableCheckBox.isSelected());
		addComponent(fractionalMetricsCheckBox);
	}


	public void _save() {
		jEdit.setBooleanProperty("AntiAliasPlugin.enabled", enableCheckBox.isSelected());
		jEdit.setBooleanProperty("AntiAliasPlugin.fractionalMetrics", fractionalMetricsCheckBox.isSelected());
	}


	public void actionPerformed(ActionEvent evt) {
		fractionalMetricsCheckBox.setEnabled(enableCheckBox.isSelected());
	}


	private JCheckBox enableCheckBox;
	private JCheckBox fractionalMetricsCheckBox;
}
