/*
 * ToggleAntiAliasAction.java
 * Copyright (C) 2001 Dirk Moebius
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

import java.awt.Component;
import java.awt.event.ActionEvent;
import org.gjt.sp.jedit.EditAction;
import org.gjt.sp.jedit.View;
import org.gjt.sp.jedit.textarea.JEditTextArea;


public class ToggleAntiAliasAction extends EditAction
{

	public ToggleAntiAliasAction() {
		super("toggle-antialias");
	}


	public boolean isToggle() {
		return true;
	}


	public boolean isSelected(Component comp) {
		View view = getView(comp);
		JEditTextArea textArea = view.getTextArea();
		return AntiAliasPlugin.isEnabled(textArea);
	}


	public void invoke(View view) {
		JEditTextArea textArea = view.getTextArea();
		AntiAliasPlugin.toggleEnabled(textArea);
	}

}
